%define major 0
%define libname %mklibname %name %major

%define rel	0.git20250215.1

Name:		lxpanel
Version:	0.11.0
Release:	%mkrel %{rel}
Summary:	Lightweight X11 desktop panel based on fbpanel
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		https://www.lxde.org/

Source0:	https://github.com/lxde/%{name}/archive/refs/heads/master.zip
Patch4:		mga-fix-bug-30631.patch
Patch5:		mga-fix-deiconify.patch
Patch8:		mga-fix-bug-31002.patch
Patch9:		de37ccb92d25ba4b4741d4d33559618be0f3b91e.patch
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:	pkgconfig(libmenu-cache)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(libfm-gtk3)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	intltool
BuildRequires:	docbook-to-man
BuildRequires:	gettext-devel
BuildRequires:	libiw-devel
BuildRequires:	automake
BuildRequires:	pkgconfig(keybinder)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(keybinder-3.0)
BuildRequires:	pkgconfig(xkbfile)

Requires:	desktop-common-data
Requires:	libnotify
Recommends:	pcmanfm

%description
LXPanel is a lightweight X11 desktop panel contains:
1. User-friendly application menu automatically generated from *.desktop
   files on the system.
2. Launcher bar (Small icons clicked to launch apps)
3. Task bar supporting urgency hint (Can flash when gaim gets new
   incoming messages)
4. Notification area (System tray)
5. Digital clock
6. Run dialog (A dialog let you type a command and run, can be called in
   external programs)
7. Volume control plug-in (optional, written by jserv)
8. lxpanelctl, an external controller let you control lxpanel in other
   programs.

%package devel
Summary:	Development files for lxpanel
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description devel
This package contains development files needed for building lxde plugins.

%package -n %libname
Summary:	Lxpanel library package
Group:		Graphical desktop/Other
Requires:	%{name} = %{version}

%description -n %libname
Library for access to the API.

%prep
%setup -qn %{name}-master
%autopatch -p1

%build
./autogen.sh
%configure \
	--enable-gtk3
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/lxpanelctl
%dir %{_sysconfdir}/xdg/%{name}/
%{_sysconfdir}/xdg/%{name}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/batt.so
%{_libdir}/%{name}/plugins/cpu.so
%{_libdir}/%{name}/plugins/cpufreq.so
%{_libdir}/%{name}/plugins/deskno.so
%{_libdir}/%{name}/plugins/kbled.so
%{_libdir}/%{name}/plugins/monitors.so
%{_libdir}/%{name}/plugins/netstat.so
%{_libdir}/%{name}/plugins/netstatus.so
%{_libdir}/%{name}/plugins/thermal.so
%{_libdir}/%{name}/plugins/volume.so
%{_libdir}/%{name}/plugins/weather.so
%{_libdir}/%{name}/plugins/xkb.so
%{_datadir}/%{name}
%{_mandir}/man1/*

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

%files -n %libname
%{_libdir}/%{name}/lib%{name}.so.%{major}{,.*}


%changelog
* Mon Feb 24 2025 ns80 <ns80> 0.11.0-0.git20250215.1.mga9
+ Revision: 2151751
- use source code from https://github.com/lxde/lxpanel
- add the patch containing the diff between the two uptream repositories

* Thu May 11 2023 ns80 <ns80> 0.10.2.r1-1.mga9
+ Revision: 1956568
- new version 0.10.2.r1 from lxde-continued and drop merged patches

* Fri Apr 07 2023 ns80 <ns80> 0.10.1-20.mga9
+ Revision: 1951646
- fix possible deadlocks

* Thu Mar 30 2023 ns80 <ns80> 0.10.1-19.mga9
+ Revision: 1950798
- fix yet another possible crashes

* Wed Mar 29 2023 ns80 <ns80> 0.10.1-18.mga9
+ Revision: 1950602
- fix other possible crashes

* Wed Mar 08 2023 ns80 <ns80> 0.10.1-17.mga9
+ Revision: 1948349
- fix possible crashes

* Fri Feb 03 2023 ns80 <ns80> 0.10.1-16.mga9
+ Revision: 1937748
- improve the patch to prevent missing icons in the task bar (mga#31002)

* Thu Feb 02 2023 ns80 <ns80> 0.10.1-15.mga9
+ Revision: 1937586
- add a patch to prevent missing icons in the task bar (mga#31002)

* Tue Jan 24 2023 ns80 <ns80> 0.10.1-14.mga9
+ Revision: 1935640
- add a patch to highlight current virtual desktop in pager

* Thu Nov 17 2022 ns80 <ns80> 0.10.1-13.mga9
+ Revision: 1908476
- improve the patch to refresh the background of the systray (mga#30631)

* Tue Nov 15 2022 ns80 <ns80> 0.10.1-12.mga9
+ Revision: 1907441
- improve the patch to refresh the background of the systray (mga#30631)

* Fri Oct 14 2022 ns80 <ns80> 0.10.1-11.mga9
+ Revision: 1896812
- add a partial workaround for upstream issue 41 (mga#30574)

* Thu Sep 08 2022 ns80 <ns80> 0.10.1-10.mga9
+ Revision: 1885906
- add patch to fix deiconifying

* Tue Sep 06 2022 ns80 <ns80> 0.10.1-9.mga9
+ Revision: 1884518
- remove patch that does not really fix issue 41

* Fri Sep 02 2022 ns80 <ns80> 0.10.1-8.mga9
+ Revision: 1883450
- add patch to work around github issue #41 (mga#30574)
- add a patch to refresh the background of the system tray (mga#30631)

* Tue Aug 30 2022 ns80 <ns80> 0.10.1-7.mga9
+ Revision: 1882333
- improve two patches

* Tue Jul 19 2022 ns80 <ns80> 0.10.1-6.mga9
+ Revision: 1869407
- add missing part to handle mouse wheel events

* Tue Jul 19 2022 ns80 <ns80> 0.10.1-5.mga9
+ Revision: 1869403
- add patch handle-gdk-scroll-smooth

* Wed Feb 16 2022 ns80 <ns80> 0.10.1-4.mga9
+ Revision: 1777865
- add upstream patches to:
  * update Icelandic translation
  * try to fix https://github.com/lxde/lxpanel/issues/29

* Thu Apr 29 2021 ns80 <ns80> 0.10.1-3.mga9
+ Revision: 1720403
- add patch to fix display with GTK+ 3.0

* Wed Mar 03 2021 ns80 <ns80> 0.10.1-2.mga9
+ Revision: 1697116
- build with GTK 3

* Tue Feb 09 2021 ns80 <ns80> 0.10.1-1.mga9
+ Revision: 1675079
- new version 0.10.1

* Tue Feb 02 2021 ns80 <ns80> 0.10.0-1.git20210129.1.mga8
+ Revision: 1674440
- update to latest git snapshot

* Wed Nov 25 2020 ghibo <ghibo> 0.10.0-1.git20201017.2.mga8
+ Revision: 1649134
- Add missed gdk-pixbuf-xlib-2.0 to BR

* Thu Nov 05 2020 ns80 <ns80> 0.10.0-1.git20201017.1.mga8
+ Revision: 1642838
- update to latest git snapshot

* Sun Aug 09 2020 wally <wally> 0.10.0-1.git20200215.2.mga8
+ Revision: 1612265
- port to Ayatana Indicator

* Thu Feb 27 2020 ns80 <ns80> 0.10.0-1.git20200215.1.mga8
+ Revision: 1550924
- update to latest git snapshot

* Sat Feb 15 2020 umeabot <umeabot> 0.10.0-1.git20190301.2.mga8
+ Revision: 1523329
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Mar 04 2019 ns80 <ns80> 0.10.0-1.git20190301.1.mga7
+ Revision: 1371299
- update to latest git snapshot

* Mon Jan 14 2019 ns80 <ns80> 0.9.3-4.git20190113.1.mga7
+ Revision: 1356364
- aligns used memory with free command

* Sat Dec 15 2018 wally <wally> 0.9.3-4.git20180305.3.mga7
+ Revision: 1341419
- own /etc/xdg/lxpanel/ dir

* Sun Sep 23 2018 umeabot <umeabot> 0.9.3-4.git20180305.2.mga7
+ Revision: 1299401
- Mageia 7 Mass Rebuild

* Tue Mar 06 2018 ns80 <ns80> 0.9.3-4.git20180305.1.mga7
+ Revision: 1206923
- update to latest git snapshot to fix several bugs

* Tue Jan 09 2018 ns80 <ns80> 0.9.3-3.mga7
+ Revision: 1191809
- update to latest git snapshot for thermal plugin fix

* Mon Jan 08 2018 ns80 <ns80> 0.9.3-2.mga7
+ Revision: 1191491
- update to latest git snapshot for various fixes

* Mon Jan 23 2017 ns80 <ns80> 0.9.3-1.mga6
+ Revision: 1083121
- new version 0.9.3

* Mon Jan 09 2017 ns80 <ns80> 0.9.2-2.mga6
+ Revision: 1080760
- add upstream patches to update French translations and fix battery calculations

* Thu Dec 29 2016 ns80 <ns80> 0.9.2-1.mga6
+ Revision: 1078604
- new version 0.9.2

* Fri Nov 25 2016 ns80 <ns80> 0.9.1-2.mga6
+ Revision: 1070084
- add two upstream patches to fix some problems with the battery plugin

* Tue Nov 22 2016 ns80 <ns80> 0.9.1-1.mga6
+ Revision: 1068699
- new version 0.9.1

* Sun Nov 20 2016 ns80 <ns80> 0.9.0-1.mga6
+ Revision: 1068448
- new version 0.9.0

* Fri Nov 18 2016 ns80 <ns80> 0.8.3-0.20161118.1.mga6
+ Revision: 1068149
- latest git snapshot

* Thu Nov 17 2016 ns80 <ns80> 0.8.3-0.20161117.1.mga6
+ Revision: 1068065
- fix some crashes

* Thu Nov 17 2016 ns80 <ns80> 0.8.3-0.20161116.2.mga6
+ Revision: 1067885
-latest git snapshot

* Wed Nov 16 2016 ns80 <ns80> 0.8.3-0.20161116.1.mga6
+ Revision: 1067594
- latest git snapshot

* Wed Nov 16 2016 ns80 <ns80> 0.8.3-0.20161115.2.mga6
+ Revision: 1067533
- latest git snapshot

* Tue Nov 15 2016 ns80 <ns80> 0.8.3-0.20161115.1.mga6
+ Revision: 1067501
- latest git snapshot

* Mon Nov 14 2016 ns80 <ns80> 0.8.3-0.20161113.1.mga6
+ Revision: 1067190
- latest git snapshot

* Wed Nov 09 2016 ns80 <ns80> 0.8.3-0.20161108.2.mga6
+ Revision: 1066056
- update Hungarian translation

* Tue Nov 08 2016 ns80 <ns80> 0.8.3-0.20161108.1.mga6
+ Revision: 1065799
- latest git snapshot

* Mon Nov 07 2016 ns80 <ns80> 0.8.3-0.20161106.1.mga6
+ Revision: 1065573
- latest git snapshot

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161104.2.mga6
+ Revision: 1065269
- update Catalan translation

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161104.1.mga6
+ Revision: 1065256
- latest git snapshot

* Fri Nov 04 2016 ns80 <ns80> 0.8.3-0.20161103.2.mga6
+ Revision: 1065238
- latest git snapshot

* Thu Nov 03 2016 ns80 <ns80> 0.8.3-0.20161103.1.mga6
+ Revision: 1064809
- update some translations

* Wed Nov 02 2016 ns80 <ns80> 0.8.3-0.20161101.2.mga6
+ Revision: 1064726
- enable indicator plugin

* Tue Nov 01 2016 ns80 <ns80> 0.8.3-0.20161101.1.mga6
+ Revision: 1064452
- latest git snapshot

* Mon Oct 31 2016 ns80 <ns80> 0.8.3-0.20161031.1.mga6
+ Revision: 1064303
- latest git snapshot

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.3.mga6
+ Revision: 1063685
- update Dutch translation

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.2.mga6
+ Revision: 1063569
- update Portuguese translation

* Wed Oct 26 2016 ns80 <ns80> 0.8.3-0.20161026.1.mga6
+ Revision: 1063555
- latest git snapshot

* Tue Oct 25 2016 ns80 <ns80> 0.8.3-0.20161025.2.mga6
+ Revision: 1063475
- fix memory leaks

* Tue Oct 25 2016 ns80 <ns80> 0.8.3-0.20161025.1.mga6
+ Revision: 1063459
- latest git snapshot

* Mon Oct 24 2016 ns80 <ns80> 0.8.3-0.20161023.1.mga6
+ Revision: 1063351
- update to 2016-10-23 for several fixes

* Thu Oct 20 2016 ns80 <ns80> 0.8.3-0.20161020.1.mga6
+ Revision: 1062626
- latest git snapshot

* Wed Oct 19 2016 ns80 <ns80> 0.8.3-0.20161019.1.mga6
+ Revision: 1062206
- latest git snapshot

* Tue Oct 18 2016 ns80 <ns80> 0.8.3-0.20161018.2.mga6
+ Revision: 1061530
- the plugin volumealsa is replaced by volume
- latest git snapshot

* Tue Oct 11 2016 ns80 <ns80> 0.8.3-0.20161010.1.mga6
+ Revision: 1060146
- latest git snapshot

* Mon Oct 10 2016 ns80 <ns80> 0.8.3-0.20161009.1.mga6
+ Revision: 1059910
- latest git snapshot

* Fri Oct 07 2016 ns80 <ns80> 0.8.3-0.20161006.1.mga6
+ Revision: 1059305
- latest git snapshot

* Wed Oct 05 2016 ns80 <ns80> 0.8.3-0.20161005.1.mga6
+ Revision: 1058921
- latest git snapshot

* Tue Oct 04 2016 ns80 <ns80> 0.8.3-0.20161003.2.mga6
+ Revision: 1058458
- latest git snapshot

* Mon Oct 03 2016 ns80 <ns80> 0.8.3-0.20161003.1.mga6
+ Revision: 1058190
- latest git snapshot

* Tue May 10 2016 ns80 <ns80> 0.8.3-0.20160329.1.mga6
+ Revision: 1012054
- latest git snapshot
- delete merged upstream patches

* Wed Mar 16 2016 wally <wally> 0.8.2-4.mga6
+ Revision: 992095
- rediff battery plugin's GTK3 fix to apply with --fuzz=0

* Sat Mar 12 2016 ns80 <ns80> 0.8.2-3.mga6
+ Revision: 989567
- add upstream patch to fix weather locations query

* Fri Feb 26 2016 ns80 <ns80> 0.8.2-2.mga6
+ Revision: 979571
- add upstream patches to update man pages

* Sun Feb 21 2016 ns80 <ns80> 0.8.2-1.mga6
+ Revision: 975331
- new version 0.8.2
- remove patch fix-crash-with-eterm (merged upstream)

* Tue Feb 16 2016 ns80 <ns80> 0.8.1-2.mga6
+ Revision: 962365
- add patch fix-crash-with-eterm taken from https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=801319#15 (mga#17582)

* Tue Jul 07 2015 ns80 <ns80> 0.8.1-1.mga6
+ Revision: 852287
- New version 0.8.1

* Sun Oct 26 2014 alexl <alexl> 0.7.2-1.mga5
+ Revision: 793542
- delete old upstream patch
- version 0.7.2 (mga#14369)

* Wed Oct 22 2014 alexl <alexl> 0.7.1-1.mga5
+ Revision: 792498
- drop all old patches
- fix upstream bug #679 (lxpanel 0.7.1 covers maximized windows)
- add requires libnotify (used by battery-monitor.patch)
- version 0.7.1 (mga#14162)

* Wed Oct 15 2014 umeabot <umeabot> 0.5.12-8.mga5
+ Revision: 744260
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.12-7.mga5
+ Revision: 682081
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Jan 19 2014 colin <colin> 0.5.12-6.mga4
+ Revision: 566977
- Fix launching .desktop files with %%c. Patch from Max Krummenacher mga#11951

* Wed Dec 04 2013 colin <colin> 0.5.12-5.mga4
+ Revision: 554922
- Fix double fork patch again to pass the correct error pointer. mga#11184

* Tue Oct 22 2013 umeabot <umeabot> 0.5.12-4.mga4
+ Revision: 542064
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 colin <colin> 0.5.12-3.mga4
+ Revision: 496835
- Do not double-fork on menu+panel launchers (mga#11184)

* Tue Jul 30 2013 fwang <fwang> 0.5.12-2.mga4
+ Revision: 461237
- rebuild for new menu-cache

* Mon Jun 24 2013 fwang <fwang> 0.5.12-1.mga4
+ Revision: 446170
- new version 0.5.12

* Sat Jan 12 2013 umeabot <umeabot> 0.5.10-3.mga3
+ Revision: 359180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 cjw <cjw> 0.5.10-2.mga3
+ Revision: 344346
- add automake 1.13 in patch4

* Sat Aug 25 2012 obgr_seneca <obgr_seneca> 0.5.10-1.mga3
+ Revision: 283904
- Fix building with automake-1.12
- New version

* Mon May 28 2012 obgr_seneca <obgr_seneca> 0.5.9-1.mga3
+ Revision: 248377
- added missing BR for wnck-devel
- new version 0.5.9
- removed old patches
- rediffed battery monitor patch
- removed customization patch, it's done with lxde-common package

* Wed May 16 2012 obgr_seneca <obgr_seneca> 0.5.8-7.mga2
+ Revision: 235787
- added volume control to lxpanel (bug #5935)

* Thu Apr 26 2012 obgr_seneca <obgr_seneca> 0.5.8-6.mga2
+ Revision: 233343
- added missing BR for gettext-devel
- fixed translation syntax for clock help mga bug #5545
- fixing a random high cpu usage in lxpanel
- bug reported at several distros, Mga Bug #2203
- removed Require for libnotify
- it's already required by lxde-common
- little changes to battery monitor patch

* Fri Nov 25 2011 obgr_seneca <obgr_seneca> 0.5.8-4.mga2
+ Revision: 171910
- use libnotify for low battery warning

* Wed Nov 23 2011 obgr_seneca <obgr_seneca> 0.5.8-3.mga2
+ Revision: 171339
-added patch for the battery monitor

* Thu Nov 17 2011 obgr_seneca <obgr_seneca> 0.5.8-2.mga2
+ Revision: 168619
- little changes in customization patch
+ fwang <fwang>
- new version 0.5.8

* Mon Jul 11 2011 ahmad <ahmad> 0.5.6-3.mga2
+ Revision: 122063
- Build all the panel plugins (mga#1735)

* Sat Feb 05 2011 ahmad <ahmad> 0.5.6-2.mga1
+ Revision: 47034
- drop patch2, not needed any more
- add patch1 from upstream to fix build
- we now use @prefix@/share/icons/mageia.png
- imported package lxpanel


* Fri Jul 23 2010 Funda Wang <fwang@mandriva.org> 0.5.6-1mdv2011.0
+ Revision: 557175
- new version 0.5.6

* Sun Feb 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-2mdv2010.1
+ Revision: 512522
- rebuild for new menu-cache

* Wed Feb 17 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.5.5-1mdv2010.1
+ Revision: 507084
- drop patch 5 not needed any more (too)
- new upstream release 0.5.5
- drop patch 10, not needed any more

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0.5.4.1-1mdv2010.1
+ Revision: 478427
- new version 0.5.4.1

* Fri Dec 11 2009 Funda Wang <fwang@mandriva.org> 0.5.4-1mdv2010.1
+ Revision: 476270
- fix build
- new versino 0.5.4

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 0.5.3-2mdv2010.0
+ Revision: 449693
- use mandriva star

* Sun Aug 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 413466
- update to new version 0.5.3

* Sat Aug 08 2009 Funda Wang <fwang@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 411581
- new version 0.5.2

* Wed Aug 05 2009 Funda Wang <fwang@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 409927
- new version 0.5.1

* Fri Jul 31 2009 Funda Wang <fwang@mandriva.org> 0.5.0-1mdv2010.0
+ Revision: 405105
- new version 0.5.0

* Tue May 05 2009 Funda Wang <fwang@mandriva.org> 0.4.1-1mdv2010.0
+ Revision: 372056
- New version 0.4.1

* Tue Apr 21 2009 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 368477
- New version 0.4.0

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.999-2.1296.2mdv2009.1
+ Revision: 364427
- use lxterminal as its native terminal

* Mon Apr 06 2009 Funda Wang <fwang@mandriva.org> 0.3.999-2.1296.1mdv2009.1
+ Revision: 364376
- use upstream svn snapshot to fix various small bugs

* Mon Jan 26 2009 Funda Wang <fwang@mandriva.org> 0.3.999-1mdv2009.1
+ Revision: 333764
- New versino 0.3.999

* Thu Dec 11 2008 Funda Wang <fwang@mandriva.org> 0.3.99-1mdv2009.1
+ Revision: 312649
- bump BR of menu-cache
- drop old patches
- rediff customization patch
- use mandirva main menu rather than lxde's own menu
- New version 0.3.99
- drop upstream patches

* Sun Nov 02 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-4mdv2009.1
+ Revision: 299288
- fix icon for Education section (using Gnome's applications-science icon)
- request 16x16 icons for menu (from upstream SVN)

* Thu Oct 16 2008 Olivier Blin <oblin@mandriva.com> 0.3.8.1-3mdv2009.1
+ Revision: 294178
- do not drop icon extension, this breaks ooo-writer3.0
  (and XDG spec already forbids extension for non-absolute paths)
- fix support of Logout command in config file
- fix memory corruption in menu parsing (patch likely from Ander)

* Sun Sep 28 2008 Funda Wang <fwang@mandriva.org> 0.3.8.1-2mdv2009.0
+ Revision: 289022
- raise patch level

  + Olivier Blin <oblin@mandriva.com>
    - suggest pcmanfm, since it's used by default in the launchbar
    - use new path for firefox desktop file in launchbar

* Mon Jul 07 2008 Funda Wang <fwang@mandriva.org> 0.3.8.1-1mdv2009.0
+ Revision: 232481
- update to new version 0.3.8.1

* Thu Jul 03 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.0
+ Revision: 230940
- BR intltool
- update to new version 0.3.8

* Mon Jun 09 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.0
+ Revision: 217103
- There is no need disable ldflags
- drop patch3 , merged upstream
- New version 0.3.7

* Thu May 29 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-3mdv2009.0
+ Revision: 213123
- Handle resolution changes

* Wed May 28 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.6-2mdv2009.0
+ Revision: 212790
- Add a few categories for the menu

* Thu May 22 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.0
+ Revision: 209961
- Bring back _disable_ld_no_undefined
- disable netstatus plugin, prefer netstat, as the latter is
  lxde native plugin.
- New version 0.3.6
- drop ld paras, it is not needed any more

* Wed May 21 2008 Pascal Terjan <pterjan@mandriva.org> 0.3.5.4-5mdv2009.0
+ Revision: 209825
- Disable no-undefined, it breaks build of plugins
- Fix windows not getting focus when un-minimized

  + Funda Wang <fwang@mandriva.org>
    - list individual files

* Mon May 05 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-4mdv2009.0
+ Revision: 201266
- enable all plugins

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-3mdv2009.0
+ Revision: 201128
- use customization too

* Sun May 04 2008 Funda Wang <fwang@mandriva.org> 0.3.5.4-2mdv2009.0
+ Revision: 200886
- BR iw-devel
- BR xpm
- add source and spec
- Created package structure for lxpanel.

